# Token Vault service API

This is an API reference for the Token Vault service, which provides endpoints to create and manage tokens and related cryptographic data.

Version: 1.0.0

## Servers

Production environment
```
https://api-services.pxp.io/api/v1
```

Sandbox environment
```
https://api-services.test.pxp.io/api/v1
```

## Download OpenAPI description

 - [Token Vault service API](https://developer.pxp.io/_bundle/apis/token-vault.yaml)

 - [POST /token-vault/{ownerType}/{ownerId}/vaults/gateway-tokens](https://developer.pxp.io/apis/token-vault/other/create-gateway-token.md): Request to create a gateway token, which is used to represent sensitive payment data in a secure and tokenised form.
 - [POST /token-vault/{ownerType}/{ownerId}/vaults/scheme-tokens](https://developer.pxp.io/apis/token-vault/other/create-scheme-token.md): Request to create a scheme token, representing payment data according to scheme rules.
 - [GET /token-vault/{ownerType}/{ownerId}/vaults/scheme-tokens/{schemeTokenId}](https://developer.pxp.io/apis/token-vault/other/get-scheme-token.md): Request to get a scheme token and its status
 - [POST /token-vault/{ownerType}/{ownerId}/vaults/scheme-tokens/{schemeTokenId}/cryptograms](https://developer.pxp.io/apis/token-vault/other/create-scheme-token-cryptogram.md): Request to create a scheme token cryptogram, a secure cryptographic representation of the token.
 - [GET /token-vault/{ownerType}/{ownerId}/vaults/gateway-tokens/{gatewayTokenId}/card-data](https://developer.pxp.io/apis/token-vault/other/get-masked-card-related-to-gateway-token.md): Request to get card data related to the gateway token. The returned sensitive data is unencrypted but masked to ensure security.
 - [GET /token-vault/{ownerType}/{ownerId}/vaults/gateway-tokens/{gatewayTokenId}/card-data/encrypted](https://developer.pxp.io/apis/token-vault/other/get-encrypted-card-related-to-gateway-token.md): Request to get card data related to the gateway token. The returned sensitive data is encrypted for enhanced security.
 - [PUT /token-vault/{ownerType}/{ownerId}/vaults/gateway-tokens/{gatewayTokenId}/card-verification-code](https://developer.pxp.io/apis/token-vault/other/store-security-code.md): Request to store the card verification code (CVC) for a card associated with a gateway token.
 - [DELETE /token-vault/{ownerType}/{ownerId}/vaults/gateway-tokens/{gatewayTokenId}/user-consents/{merchantId}/{merchantShopperId}](https://developer.pxp.io/apis/token-vault/other/revoke-gateway-token-consent.md): Revoke user consent for a gateway token and shopper. Consent is only available if you included an optional `customerConsent` when you created the token. A `404` usually means that there's no consent f
 - [DELETE /token-vault/{ownerType}/{ownerId}/vaults/scheme-tokens/{schemeTokenId}/user-consents/{merchantId}/{merchantShopperId}](https://developer.pxp.io/apis/token-vault/other/revoke-scheme-token-consent.md): Revoke user consent for a scheme token and shopper. Consent is only available if you included an optional `customerConsent` when you created the token. A `404` usually means that there's no consent fo
